Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 195802 - X.org on i855 "Error in I830WaitLpRing()": X crashes, takes out DRM
Summary: X.org on i855 "Error in I830WaitLpRing()": X crashes, takes out DRM
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2006-06-17 21:54 UTC by James Ettle
Modified: 2008-05-13 11:16 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-06-28 06:34:03 UTC


Attachments (Terms of Use)
X.org log showing the problem (deleted)
2006-06-17 21:54 UTC, James Ettle
no flags Details


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 4353 None None None Never

Description James Ettle 2006-06-17 21:54:11 UTC
Description of problem:
X crashes and one must restart the machine. Logs show "Error in I830WaitLpRing()".

Version-Release number of selected component (if applicable):
kernel-2.6.16-1.2133_FC5
xorg-x11-drv-i810-1.4.1.3-3.1
Intel i855 graphics

How reproducible:
Sporadic

Steps to Reproduce:
1. Try running an acceleration-heavy application (e.g., something OpenGL or
XV?). In this particular instance, happened immediately on resume from S3 sleep,
but I've seen it happen when just opening an application or watching a video.
  
Actual results:
X server crashes, leaving a message 

Error in I830WaitLpRing(), now is -470411049, start is -470413050
pgetbl_ctl: 0x1ffe0001 pgetbl_err: 0x0
ipeir: 0 iphdr: 2000001
LP ring tail: 38 head: 0 len: 1f001 start 0
eir: 0 esr: 0 emr: ffff
instdone: efc1 instpm: b
memmode: 108 instps: 42
hwstam: ffff ier: 82 imr: 9 iir: 20
space: 131008 wanted 131064
(II) I810(0): [drm] removed 1 reserved context for kernel
(II) I810(0): [drm] unmapping 8192 bytes of SAREA 0xdebe6000 at 0xb7f1e000

Fatal server error:
lockup

in the X.org logfile. The server restarts, but keeps crashing. Machine must be
restarted.

Expected results:
No crashes.

Additional info:
I've seen this before on FC4. It may even be a know issue (see linked bug to
freedesktop.org).

Found in the kernel logs:

Jun 17 22:46:28 harmony kernel: [drm:i915_wait_irq] *ERROR* i915_wait_irq: EBUSY
-- rec: 256126 emitted: 256128

Comment 1 James Ettle 2006-06-17 21:54:11 UTC
Created attachment 131115 [details]
X.org log showing the problem

Comment 2 Mike A. Harris 2006-06-27 15:21:00 UTC
I believe this is a multiple reported duplicate, although I do not have the
duplicate bug ID's handy currently.

Comment 3 Mike A. Harris 2006-06-28 06:34:03 UTC
The upstream report has a lot of activity, so we'll track this upstream, and
when a fix becomes available, we'll review it for consideration in a future
update.


Note You need to log in before you can comment on or make changes to this bug.